us.zoom.sdk

## Interface InMeetingServiceListener

- All Superinterfaces:
    us.zoom.androidlib.util.IListener

      public interface InMeetingServiceListener
      extends us.zoom.androidlib.util.IListener

  Zoom in-meeting service listener. Note:The callbacks will be called in meeting process.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onLowOrRaiseHandStatusChanged(long userId, boolean isRaiseHand)` Sink the event of Low Or Raise Hand Status changed
    `void` | `onMeetingHostChanged(long userId)` Sink the event of meeting host changed
    `void` | `onMeetingUserJoin(long userId)` Sink the event of meeting new user join
    `void` | `onMeetingUserLeave(long userId)` Sink the event of meeting user leave
    `void` | `onMeetingUserUpdated(long userId)` Sink the event of meeting user info updated
    `void` | `onSpotlightVideoChanged(boolean on)` Sink the event of meeting host changed
    `void` | `onUserAudioStatusChanged(long userId)` Sink the event of user's audio status changed
    `void` | `onUserAudioTypeChanged(long userId)` Sink the event of user's audio type changed
    `void` | `onUserVideoStatusChanged(long userId)` Sink the event of user's video status changed

- - ### Method Detail

    - #### onMeetingUserJoin

          void onMeetingUserJoin(long userId)

      Sink the event of meeting new user join
      Parameters:
        `userId` - the user's id

    - #### onMeetingUserLeave

          void onMeetingUserLeave(long userId)

      Sink the event of meeting user leave
      Parameters:
        `userId` - the user's id

    - #### onMeetingUserUpdated

          void onMeetingUserUpdated(long userId)

      Sink the event of meeting user info updated
      Parameters:
        `userId` - the user's id

    - #### onMeetingHostChanged

          void onMeetingHostChanged(long userId)

      Sink the event of meeting host changed
      Parameters:
        `userId` - the user's id

    - #### onSpotlightVideoChanged

          void onSpotlightVideoChanged(boolean on)

      Sink the event of meeting host changed
      Parameters:
        `on` - if true means Spotlight mode is on

    - #### onUserVideoStatusChanged

          void onUserVideoStatusChanged(long userId)

      Sink the event of user's video status changed
      Parameters:
        `userId` - the user's id

    - #### onUserAudioStatusChanged

          void onUserAudioStatusChanged(long userId)

      Sink the event of user's audio status changed
      Parameters:
        `userId` - the user's id

    - #### onUserAudioTypeChanged

          void onUserAudioTypeChanged(long userId)

      Sink the event of user's audio type changed
      Parameters:
        `userId` - the user's id

    - #### onLowOrRaiseHandStatusChanged

          void onLowOrRaiseHandStatusChanged(long userId,
                                             boolean isRaiseHand)

      Sink the event of Low Or Raise Hand Status changed
      Parameters:
        `userId` - the user's id
        `isRaiseHand` - true means raising hand